import { PropType } from 'vue';
import { ITouchEvent } from '@tarojs/components';

export const previewImageProps = {
  urls: {
    type: Array as PropType<string[]>,
    default: () => [],
  },
  wrapperClassName: {
    type: String,
  },
  src: {
    type: String,
  },
  onClick: {
    type: Function as PropType<(event: ITouchEvent) => void>,
  },
};
